AdvancedEnchantments Essentials Kits Addon 1.0.0

Allows creation of items with essentials' kits configuration style, now with AdvancedEnchantments CE

  1. GC.
    Native Minecraft Version:
    Legacy (< 1.13)
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    Source Code:
    https://github.com/GC-spigot/AE-Essentials-Kits-Addon
    Addon is not required for custom enchants in EssentialsX kits anymore
    Follow this link to add custom enchants to kits: https://ae.advancedplugins.net/configuration/enchantments-in-essentials-kits


    Plugin replaces EssentialsX kits with alike system, which supports custom enchantments integration from Advanced Enchantments (my plugin). It utilizes NBT, which isn't supported by EssX therefore must be done manually.

    Permissions are identical to Essentials normal permissions.

    Configuration:
    Code (YAML):
    # AEEssentialsKitsAddon by GC
    # Replaces Essentials' kits with a custom system to support NBT enchants

    # Global placeholders:
    # %kit% - kit name

    # Note: All items MUST be followed by a quantity!
    # All kit names should be lower case, and will be treated as lower in permissions/costs.
    # Syntax: - itemID[:DataValue/Durability] Amount [Enchantment:Level].. [itemmeta:value]...
    # For Item Meta information visit http://wiki.ess3.net/wiki/Item_Meta
    # 'delay' refers to the cooldown between how often you can use each kit, measured in seconds.
    # Set delay to -1 for a one time kit.
    # For more information, visit http://wiki.ess3.net/wiki/Kits

    # For AE Custom Enchantments, you must use same syntax as for vanilla enchants with essentials, e.g.:
    # 'diamond_pickaxe 1 detonate:9 autosmelt:3' - 'Enchantment:Level'

    # Thanks to drtshock for maintaining EssentialsX!

    messages
    :
      kit-not-found
    :
        - '&cError
    : &4That kit does not exist.'
      no-permission
    :
        - '&cError
    : &4You need the &cessentials.kits.%kit%&4 permission to use that kit.'
      no-permission-to-give-others
    :
        - '&cError
    : &4You cannot give others Kits!'
      kit-cooldown
    :
       - '&4You can''t use that kit again for another &c%time%&4.'
      kit-received
    :
       - '&6Received kit &c%kit%&6.'
      kit-list
    :
        - '&6Kits
    : &f%list%'
      inv-full
    :
       - '&4Inventory is full, dropping items on ground.'
    kits
    :
      tools
    :
        delay
    : 10
        items
    :
       - 272 1
        - 273 1
        - diamond_pickaxe 1 detonate:9 autosmelt:3
        - 275 1
      dtools
    :
        delay
    : 600
        items
    :
       - 278 1 efficiency:1 durability:1 fortune:1 name:&4Gigadrill lore:The_drill_that_&npierces|the_heavens
        - 277 1 digspeed:3 name:Dwarf lore:Diggy|Diggy|Hole
        - 298 1 color:255,255,255 name:Top_Hat lore:Good_day,_Good_day
        - 279:780 1
      notch
    :
        delay
    : 6000
        items
    :
       - 397:3 1 player:Notch
      color
    :
        delay
    : 6000
        items
    :
       - 387 1 title:&4Book_&9o_&6Colors author:KHobbits lore:Ingame_color_codes book:Colors
      firework
    :
        delay
    : 6000
        items
    :
       - 401 1 name:Angry_Creeper color:red fade:green type:creeper power:1
        - 401 1 name:Starry_Night color:yellow,orange fade:blue type:star effect:trail,twinkle power:1
        - 401 2 name:Solar_Wind color:yellow,orange fade:red shape:large effect:twinkle color:yellow,orange fade:red shape:ball effect:trail color:red,purple fade:pink shape:star effect:trail power:1
     
    Tutorial:
    • Install the plugin, restart the server to let config generate.
    • Copy over Essentials kit's configuration over as provided in example configuration.
    • Start the server.
    Requires AdvancedEnchantments 5.3.7 (or higher) and EssentialsX
    TomCreeper and maxlehot1234 like this.

Recent Reviews

  1. DroodVS
    DroodVS
    5/5,
    Version: 1.0.0
    Good (old) plugin for the kits with AE, but the new GKits system of Advanced Enchantments is more than perfect. Can't blame the developer if there is no updates anymore on this addon so !
  2. _iEnvy_
    _iEnvy_
    5/5,
    Version: 1.0.0
    Don't know what their talking about, but this addon works perfectly. This guy put's a lot of work to support me and every other person that uses, his plugins. If I had the money i'd try to bribe him and tell him to be a developer for my server but, I ain't got the bread like that :'). anyways the plugins are all wonderful keep it up bro.
    1. GC.
      Author's Response
      Thanks :)
  3. Riskaka
    Riskaka
    1/5,
    Version: 1.0.0
    Tried using this however it simply doesn't work. I contacted the developer through his discord with the support channel and he offered support and provided me with a new config. I tested this new config however that didn't work either so I asked him again and he said he'll test my config. So I send him my config and a few days pass and still... no reply... I contacted him yesterday asking about it and he responded saying that the plugin will be fixed tommorow (today). Today is ending in 40 minutes and still haven't seen anything. I've posted in his support discord asking about it as well as contacting him via private message on discord. If you want to have horrible support, use advancedenchantments.
    1. GC.
      Author's Response
      Not related to this add-on, why even bother rating
  4. R00t
    R00t
    4/5,
    Version: 1.0.0
    Decent resource. I didn't rate 5 stars, because the plugin doesn't truly hook into EssentialsX. I do know this is possible, as nearly anything can be done. If you could directly hook this into EssentialsX, that'd be a great way to consider this an addon. If this can be done, please do, I can't use my KitGUI plugins, due to it being unsupported. Thanks!
    1. GC.
      Author's Response
      It's not possible, otherwise I would have done it.
  5. ZeddLingz
    ZeddLingz
    5/5,
    Version: 1.0.0
    Have been waiting for this addon for a while now. The dev does a great job at explaining how to add support for enchantments within the .yml and offers further support if needed.
  6. OPMEBeadle
    OPMEBeadle
    3/5,
    Version: 1.0.0
    Ok, confused on how to add custom enchants from ae to items. I have tried mutliple methods. About 3 weeks ago i was asking the dev how to do it and he helped m, but in a disrespectful manner. Also, the dev has banned me from his support discord so i cannot contact him for the plugins he has made, and i have bought. Lastly, when i contact him on spigot, he does not reply.
    1. GC.
      Author's Response
      *Banned fairly for breaking rules, so crazy that everyone forgets context.
  7. KrizzDawg
    KrizzDawg
    5/5,
    Version: 1.0.0
    Been waiting for this addon, Great resource & works perfectly. thanks .